<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoOrganizationOrganizationsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_organization_organizations
         */
        Schema::create('bixo_organization_organizations', function ($table) {
            $table->increments('id');
            $table->integer('parent_id')->nullable();
            $table->integer('manager_id')->nullable();
            $table->integer('company_id')->nullable();
            $table->integer('branch_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->string('ref', 50)->nullable();
            $table->string('name', 100)->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->text('description')->nullable();
            $table->string('employee_count', 20)->nullable();
            $table->string('currency', 20)->nullable();
            $table->string('industry', 50)->nullable();
            $table->string('phone', 50)->nullable();
            $table->string('email', 50)->nullable();
            $table->text('address')->nullable();
            $table->string('country', 30)->nullable();
            $table->string('zip', 15)->nullable();
            $table->text('work_hours')->nullable();
            $table->string('website_url', 80)->nullable();
            $table->string('user_type', 20)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('brn', 100)->nullable();
            $table->string('ded', 100)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_organization_organizations');
    }
}
