<?php

// Web routes  for organization.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for organization

Route::prefix('{guard}/organization')->group(function () {

    Route::get('/workflow/{organization}/{user}', 'OrganizationWorkflowController@get')
        ->name('bixo.organization.workflow');
    Route::post('/workflow/{organization}/{user}', 'OrganizationWorkflowController@post');

    Route::get('/action/{organization}/{user}', 'OrganizationActionController@get')
        ->name('bixo.organization.action');
    Route::post('/action/{organization}/{user}', 'OrganizationActionController@post');

});


// Workflow routes for user

Route::prefix('{guard}/user')->group(function () {

    Route::get('/workflow/{user}/{user}', 'UserWorkflowController@get')
        ->name('bixo.organization.workflow');
    Route::post('/workflow/{user}/{user}', 'UserWorkflowController@post');

    Route::get('/action/{user}/{user}', 'UserActionController@get')
        ->name('bixo.organization.action');
    Route::post('/action/{user}/{user}', 'UserActionController@post');

});

