<?php

namespace Bixo\Organization\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Organization\Actions\UserReport;
use Bixo\Organization\Http\Requests\UserReportRequest;

/**
 * Admin web controller class.
 */
class UserReportController extends BaseController
{
    /**
     * Action controller function for user.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(UserReportRequest $request, $report)
    {
        try {
        
            $this->model = app(User::class);
            $data = UserReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('organization::user.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('organization/user/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('organization/user/' . $report))
                ->redirect();
        }
    }
}
