<?php

namespace Bixo\Organization\Policies;

use Bixo\Organization\Models\Organization;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait OrganizationAction
{

    /**
     * Determine if the given user can copy the given organization.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Organization $organization)
    {

        if ($authUser->canDo('organization.organization.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given organization.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Organization $organization) {

        if ($authUser->canDo('organization.organization.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given organization.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Organization $organization)
    {

        if ($authUser->canDo('organization.organization.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
