<?php

namespace Bixo\Organization\Policies;

use Bixo\Organization\Models\User;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait UserWorkflow
{

    /**
     * Determine if the given user can approve the given user.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, User $user)
    {
        if ($user->canDo('organization.user.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given user.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, User $user)
    {
        if ($user->canDo('organization.user.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given user.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, User $user)
    {
        if ($user->canDo('organization.user.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given user.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, User $user)
    {
        if ($user->canDo('organization.user.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given user.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, User $user)
    {
        if ($user->canDo('organization.user.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given user.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, User $user)
    {
        if ($user->canDo('organization.user.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given user.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, User $user)
    {
        if ($user->canDo('organization.user.reject')) {
            return true;
        }

        return false;
    }

}
