<?php

namespace Bixo\Organization\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\Organization\Events\OrganizationAction;
use Bixo\Organization\Events\OrganizationWorkflow;
use Bixo\Organization\Listeners\OrganizationAction as OrganizationActionListener;
use Bixo\Organization\Listeners\OrganizationWorkflow as OrganizationWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        OrganizationAction::class => [
            OrganizationActionListener::class,
        ],
        OrganizationWorkflow::class => [
            OrganizationWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
